Summary: The Autonomous Networked Task Scheduler
Name: antsd
Version: 0.4.10
Release: 1
Copyright: GPL
Group: System Environment/Daemons
Source: http://unthought.net/antsd/antsd-%{version}.tar.gz
BuildRoot: /tmp/%{name}-buildroot/

%description
The ANTS system provices a daemon (antsd) and a rsh-like utility (rant)
which combined will allow a user to execute a command on the host in
the cluster best suited for the task.
All nodes in the cluster will run antsd, and they will have an individual
configuration of job-types they can execute, along with limits on the
resources that may be consumed by those job-types.  The nodes will exchange
information about their state and available job-types.
The rant command can be used to execute a command with a given job-type. The
rant utility will query the local ANTS daemon for the host best suited for
the task, and if such a host is available, it will then connect to that host
and have the job executed.

This is not a queue system. It is intended for tasks such as large-scale
compilation (adding a rule in the makefile to execute compilers and linkers
thru rant) and similar tasks.  A job should run for several seconds at least
to make it worthwile executing it thru rant.

%prep

%setup
./configure

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/CORBA/servers
mkdir -p $RPM_BUILD_ROOT/usr/share/applets/Monitors
install -m 755 src/antsd $RPM_BUILD_ROOT/usr/sbin
install -m 755 src/rant  $RPM_BUILD_ROOT/usr/bin
#install -m 755 src/gants_applet $RPM_BUILD_ROOT/usr/bin
#install -m 644 gants.gnorba $RPM_BUILD_ROOT/etc/CORBA/servers
#install -m 644 gants.desktop $RPM_BUILD_ROOT/usr/share/applets/Monitors

echo "[jobtype] [max_instances] [preferred_instances] [max_memory]" > $RPM_BUILD_ROOT/etc/antsd.conf
chmod 600 $RPM_BUILD_ROOT/etc/antsd.conf
echo -e "host1\nhost2\n..." > $RPM_BUILD_ROOT/etc/antsd.hosts
chmod 600 $RPM_BUILD_ROOT/etc/antsd.hosts

install -m 755 antsd.redhat $RPM_BUILD_ROOT/etc/rc.d/init.d/antsd

%post
chkconfig --add antsd

%postun
chkconfig --del antsd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO COPYING

/usr/sbin/antsd
/usr/bin/rant
%config /etc/antsd.conf
%config /etc/antsd.hosts
/etc/rc.d/init.d/antsd
#/usr/bin/gants_applet
#/etc/CORBA/servers/gants.gnorba
#/usr/share/applets/Monitors

%changelog
* Mon Mar 12 2001 Jakob Oestergaard <joe@sysorb.com>
- Killed gants_applet for a little while...

* Wed Dec 27 2000 Jakob Oestergaard <joe@sysorb.com>
- Added the gants_applet - it's crude but it's there

* Mon Jul 31 2000 Jakob Oestergaard <joe@solit.dk>
- Fixed last few jobd -> ANTS problems

* Thu Jun 22 2000 Jakob Oestergaard <jakob@ostenfeld.dk>
- Renamed jobd to ANTS - because of a name clash with an existing project

* Wed Jun 7 2000 Jakob Oestergaard <jakob@ostenfeld.dk>
- Fixed the 2.4 bug

* Mon Jun 5 2000 Jakob Oestergaard <jakob@ostenfeld.dk>
- Initial SPEC

