/*
 * user accessible parts of the ANTS protocol
 *
 * $Id: protocol.h,v 1.1 2001/02/11 07:05:07 jakob Exp $
 *
 *  Copyright (C) 2000 Jakob Oestergaard <jakob@ostenfeld.dk>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later
 *  version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA
 *
 */

#ifndef __PROTOCOL_H
#define __PROTOCOL_H

#define CWD_LENGTH 1024
#define TYPE_LEN 16
#define LOG_LEN 1024

struct antsd_request {
  /* 0 - rant alloc request
   * 1 - gants registration
   */
  unsigned request;
};


struct alloc_reply {
  /* 0 - no best host
   * 1 - best host found
   * 2 - we're the best host
   */
  unsigned status;
  unsigned serial;
  unsigned address;
  unsigned port;
};


struct alloc_auth {
  char type[TYPE_LEN];
  unsigned serial;
  char workdir[CWD_LENGTH];
};


#endif
